Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetColumnVector

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetVector
              jet.controls.JetColumnVector

    public class JetColumnVector

extends JetVector

Column name vector property, extends from JetVector for saving/retriving a group of column name.

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Constructor Summary
`JetColumnVector()`
`JetColumnVector(JetObject parent, java.lang.String name)` Constructor.

Method Summary

Methods inherited from class jet.controls.JetVector
`add, clear, equal, get, remove, set, set, toIntArray, toString, toStringArray`

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getEditFlag, getEditorType, getInspValue, getInspValue, getMatchingSqlType, getName, getNormalObject, getObject, getParent, getPropertyChoice, getPropType, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isNull, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByFmtt, setChangeByObject, setEditFlag, setEditorType, setObject, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetColumnVector

    public JetColumnVector()

### JetColumnVector

    public JetColumnVector(JetObject parent,
                           java.lang.String name)

  Constructor.

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD